%define module_name Graph-Nauty
# BEGIN SourceDeps(oneline):
BuildRequires: libnauty-devel perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Graph/Undirected.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.5.3
Release: alt1
Summary: Perl bindings for nauty
Group: Development/Perl
License: bsd
URL: http://search.cpan.org/dist/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/ME/MERKYS/%{module_name}-%{version}.tar.gz

%description
Graph::Nauty provides an interface to nauty, a set of procedures for
determining the automorphism group of a vertex-coloured graph, and for
testing graphs for isomorphism.

Currently Graph::Nauty only supports
Graph::Undirected, that is, it does not handle
directed graphs. Both colored vertices and edges are accounted for when
determining equivalence classes.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.5.3-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.5.1-alt3
- rebuild with perl 5.38

* Tue Mar 28 2023 Cronbuild Service <cronbuild@altlinux.org> 0.5.1-alt2
- rebuild to get rid of unmets

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.5.1-alt1
- updated by package builder

* Tue Jul 19 2022 Igor Vlasenko <viy@altlinux.org> 0.5.0-alt1
- updated by package builder

* Sat Jul 16 2022 Cronbuild Service <cronbuild@altlinux.org> 0.4.0-alt2
- rebuild to get rid of unmets

* Fri May 27 2022 Igor Vlasenko <viy@altlinux.org> 0.4.0-alt1
- updated by package builder

* Sat Oct 09 2021 Igor Vlasenko <viy@altlinux.ru> 0.3.7-alt1
- updated by package builder

* Thu Jul 01 2021 Igor Vlasenko <viy@altlinux.ru> 0.3.6-alt1
- initial import by package builder

